#version 330 core

layout(location = 0) in vec3 direction;

uniform mat4 projectionView;
uniform float pointSize;
uniform float visibility;

out float celestialAlpha;

void main() {
    gl_Position = projectionView * vec4(direction * 450.0, 1.0);
    gl_PointSize = pointSize;
    celestialAlpha = visibility;
}
